Bug 69366 - can't build binutils-2.12.90.0.9-1.src.rpm
can't build binutils-2.12.90.0.9-1.src.rpm
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-22 10:33 EDT by Fortepianissimo
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-29 23:19:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fortepianissimo 2002-07-22 10:33:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020626

Description of problem:
rebuild the src rpm on i686 platform failed with missing lib*.so* files

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpmbuild --rebuild binutils-2.12.90.0.9-1.src.rpm
2.stopped with errors
3.

Actual Results:  error message:

... snipped ...
+ install -m 644 include/libiberty.h /var/tmp/binutils-root/usr/include
+ rm -f /var/tmp/binutils-root/usr/share/man/man1/dlltool.1
/var/tmp/binutils-root/usr/share/man/man1/nlmconv.1
/var/tmp/binutils-root/usr/share/man/man1/windres.1
+ chmod +x '/var/tmp/binutils-root/usr/lib/lib*.so*'
chmod: failed to get attributes of `/var/tmp/binutils-root/usr/lib/lib*.so*': No
such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.12411 (%install)


RPM build errors:
    InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID 897da07a
    Bad exit status from /var/tmp/rpm-tmp.12411 (%install)


Additional info:

my /etc/rpmrc:

buildarchtranslate:i686: i686

optflags: i686 -O6 -march=i686

Related packages:

rpm-4.1-0.51
gcc-3.1-9

(I installed binutils-2.12.90.0.9.i386.rpm before rebuilding and installing
gcc-3.1 i686 rpms)
Comment 1 Jakub Jelinek 2002-07-23 10:52:13 EDT
This is rpm problem.
It is passing
--host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --target=i386-redhat-linux-gnu
in its %configure macro, which means all canadian-cross capable projects
think it is cross compiling.
Comment 2 Fortepianissimo 2002-07-29 23:18:54 EDT
binutils-2.12.90.0.15-1 src rpm built fine now (but from the changelog I guess
it's just a workaround?).
Comment 3 Jeff Johnson 2002-07-31 15:28:49 EDT
I'm gonna defer this until some better value
for the %configure default is suggested.

Note You need to log in before you can comment on or make changes to this bug.